--[[
Str：
92001-94000	马
94001-96000	佟
96001-98000	金


Scriptlist:
24001+


Flag:
DLC主旗标：44001


npcData:
701-800	马
801-900	佟 
901-1000	金
--]]

--时间段五
--楼兰	24501

function dlc05_1()



local	n=flag.GetValue(44001)	--DLC主旗标

if	n==501	then



	--开始剧情 
	func_start(1184,2770,0,1)	
	--修改旗标 
	flag.SetValue(44001,502)	
	
	
	
	--npc建立  
	--夏侯
	npc.Create(1,1,6829,7292)
	--瑕 
	npc.Create(2,2,6810,7306)
	--龙溟 
	npc.Create(7,7,6812,7260)
	--凌波 
	npc.Create(8,8,6815,7237)
	--龙幽 
	npc.Create(906,11,7370,7860)
	npc.SetAt(11,-1,-1)
	npc.SetHeadRot(11,0,20)
	npc.SetAnim(11,223)
	npc.SetVisible(11,0)
	--小蛮 
	npc.Create(907,12,7414,7850)
	npc.SetAt(12,0,-1)
	npc.SetVisible(12,0)
	--乌龟 
	npc.Create(908,13,7093,7402)
	npc.SetAtPos(13,7076,7420)
	--蜥蜴 
	npc.Create(909,14,7076,7420)
	npc.SetAtPos(14,7093,7402)
	--？？
	npc.Create(91,15,1,1)
	npc.SetVisible(15,0)
	
	
	--隐藏捣乱npc 
	npc.SetVisible(404,0)
	npc.SetVisible(419,0)
	npc.SetVisible(401,0)
	npc.SetVisible(402,0)
	npc.SetVisible(424,0)
	npc.SetVisible(429,0)	
	
	
	
	


	--镜头1  
	-- 远镜拉近
	-- 面向众人 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(6971,346,7424,6902,322,7355)
	camera.ResetLerp(4000)	
	camera.ChangeCameraStatic(6934,335,7388,6863,320,7319)
	--淡入 
	effect.FadeIn(1,1)
	-- 夏侯四人走过来  
	npc.MoveTo(1,7472,7743)
	npc.MoveTo(2,7472,7743)
	npc.MoveTo(7,7472,7743)
	npc.MoveTo(8,7472,7743)
	global.Wait(2)
	npc.Stop(1)
	npc.Stop(7)
	npc.Stop(8)
	
	--音乐淡出 
	global.MusicFadeIn(2000,100,0)			
	
	global.Wait(0.5)
	npc.Stop(2)
	global.Wait(0.5)
	-- 瑕吃惊 
	npc.SetAnim(2,243,2)
	global.Wait(1)
	--对话
	ui.Dialog(96200,185,0,2,0,0)	--咦？这怎么会忽然出现乌龟和蜥蜴？
	
	
	

	--播放音乐 
	global.PlayMusic(031,100,1)			
	
	
	--镜头2 
	-- 特写 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(7069,313,7447,7100,282,7357)
	camera.ResetLerp(8000)	
	camera.ChangeCameraStatic(7079,313,7450,7090,283,7355)
	--动作 
	-- 两个多一些互动感觉像说话 
	global.Wait(8)
	
	

	
	--镜头3
	-- 面向夏侯瑕
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(6934,341,7356,6852,324,7301)
	camera.ResetLerp(5000)			
	camera.ChangeCameraStatic(6936,341,7353,6856,325,7295)
	global.Wait(0.5)
	-- 夏侯思考  
	npc.SetAnim(1,216)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96201,522,0,1,0,0)	--大漠之中出现蜥蜴尚有可能，这乌龟……莫非如同之前碧溪村的一般，也是由怪物所化？

	
	--镜头4  
	-- 面向凌波龙溟 
	camera.ResetLerp(2000)			
	camera.ChangeCameraStatic(6917,341,7328,6839,324,7267)
	global.WaitForCameraLerp()
	global.Wait(0.5)
	-- 凌波思考 
	npc.SetAnimSpeed(8,50)
	npc.SetAnim(8,216)
	npc.SetAnimSpeed(8,100)
	global.Wait(0.5)

	ui.Dialog(96202,154,2,8,0,0)	--在它们身上，是有一点魔气……
	global.Wait(0.5)
	
	-- 龙溟思考 
	npc.SetAnimSpeed(7,50)
	npc.SetAnim(7,216)
	npc.SetAnimSpeed(7,100)
	global.Wait(1)
	--对话 
	ui.Dialog(96203,635,0,7,0,0)	--（这乌龟……）
	global.Wait(1)


	
	--调整位置
	npc.SetPos(2,6988,7372)
	npc.SetAtPos(1,7093,7402)
	npc.SetAtPos(7,7093,7402)
	npc.SetAtPos(8,7093,7402)	
	npc.SetAnim(1,200)
	npc.SetAnim(7,200)
	npc.SetAnim(8,200)	
	
	
	--镜头5
	-- 远镜拉近 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(6912,364,7428,7003,331,7403)
	camera.ResetLerp(3000)			
	camera.ChangeCameraStatic(7004,350,7423,7093,312,7400)
	-- 瑕走过去 
	npc.MoveTo(2,7056,7400,1)
	-- 瑕低头看乌龟蜥蜴 
	npc.SetHeadRot(2,0,30,1,50)
	global.Wait(0.5)
	-- 乌龟蜥蜴转向瑕
	npc.TurnToNpc(13,2)
	npc.TurnToNpc(14,2,1)
	global.Wait(0.5)
	--瑕备战
	npc_weapon(2,2)
	npc.SetAnim(2,101)
	global.Wait(0.5)

	ui.Dialog(96204,193,0,2,0,0)	--好，让你们再来骗人！

	
	



	--镜头6 
	-- 面向瑕 仰视 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7090,312,7468,7071,324,7371)
	global.Wait(0.5)
	--动态模糊 
	-- effect.MotionBlur(1)
	--慢动作 
	global.SetMotionSpeed(75)
	-- 瑕连击
	npc.SetAnim(2,110)
	global.Wait(0.6)
	npc.FloatTo(14,7449,1069,7973)
	global.Wait(0.9)
	--慢动作停  
	global.SetMotionSpeed(100)
	--乌龟、蜥蜴飞走  
	npc.FloatTo(13,7522,1074,7964)
	-- npc.FloatTo(14,7449,1069,7973)
	--夏侯吃惊 
	npc.SetAnim(1,208,2)
	global.Wait(0.5)
	npc.Stop(2)
	npc.SetHeadRot(2,0,0)
	npc.SetAnim(2,101)
	-- effect.MotionBlur(0)	
	
	
	
	--镜头7  
	-- 面向瑕
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(7085,334,7435,7021,330,7358)
	global.Wait(1)
	--瑕恢复 
	npc_weapon(2,0)
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,200)
	npc.SetAnimSpeed(2,100)
	global.Wait(1)
	--瑕思考
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,216)
	npc.SetAnimSpeed(2,100)
	global.Wait(0.5)

	--对话 
	ui.Dialog(96205,183,0,2,0,0)	--（怎么这两个家伙这么不禁打……难道是我想错了？）
	ui.Dialog(96206,100,0,15,0,0)	--啊！！
	global.Wait(0.5)
	-- 瑕恢复
	npc.SetAnim(2,200)
	--对话 
	ui.Dialog(96207,100,0,15,0,0)	--是什么奇怪的东西砸了本公子的头！

	-- 瑕转向声音方向 
	npc.TurnTo(2,1,1,1)
	global.Wait(0.5)
	npc.SetHeadRot(1,-20,0)
	npc.SetHeadRot(7,-20,0)
	npc.SetHeadRot(8,-20,0)
	-- 瑕吃惊 
	npc.SetAnim(2,243,2)
	global.Wait(1)

	ui.Dialog(96208,185,0,2,0,0)	--惊讶	--唉呀，不好！
	

	--镜头9 
	-- 面向龙溟  
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(6906,336,7331,6831,340,7265)
	camera.ResetLerp(8000)				
	camera.ChangeCameraStatic(6897,337,7324,6822,335,7258)
	global.Wait(0.5)
	--龙溟转身 
	npc.SetHeadRot(7,0,0)
	npc.TurnTo(7,1,1,1)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96209,631,0,7,0,0)	--惊讶	--这个声音是——
	global.Wait(1)

	
	
	--npc位置 
	npc.SetPos(14,7414,7825)
	npc.SetAt(14,0,1)
	npc.SetVisible(12,1)
	npc.SetPos(13,7345,7837)
	npc.SetAt(13,1,1)
	npc.SetVisible(11,1)
	
	

	
	--镜头10 
	-- 面向小蛮 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(7376,329,7868,7450,292,7812)
	camera.ResetLerp(5000)			
	camera.ChangeCameraStatic(7372,334,7869,7449,299,7816)	
	global.Wait(1)	
	-- 小蛮调查203 
	npc.SetAnim(12,203,2)
	global.Wait(1.6)
	npc.SetHeadRot(12,0,20,0,50)	
	global.Wait(1)
	
	
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7398,315,7819,7442,330,7908)
	camera.ResetLerp(8000)			
	camera.ChangeCameraStatic(7404,322,7828,7440,343,7919)
	global.Wait(1)

ui.SetDialogHeadSize(400,500)
	
	ui.Dialog(96210,851,0,12,0,0)	--嘟儿？没摔着吧？疼不疼？

	-- 蜥蜴随便动动 
	npc.TurnTo(14,1,0,1)
	global.Wait(0.5)
	npc.TurnTo(14,-1,0,1)
	global.Wait(0.75)
	npc.TurnTo(14,0,1,1)
	global.Wait(0.5)

	ui.Dialog(96211,100,0,14,0,0)	--咝咝……
	global.Wait(1)
	
	
	
	
	
	--镜头11 
	-- 面向龙幽
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(7312,305,7835,7406,328,7857)	
	camera.ResetLerp(18000)			
	camera.ChangeCameraStatic(7311,305,7846,7408,328,7847)
	global.Wait(0.5)
	
	ui.Dialog(96212,831,0,11,0,0)	--是你？怎么，想弑主？

	--对话 
	-- ui.Dialog(96213,100,0,13,0,0)	--咳……
	ui.Dialog(96214,100,0,13,0,0)	--咳咳咳……
	ui.Dialog(96215,100,0,13,0,0)	--殿下您听我解释，老臣正在和嘟儿妹妹讲话，也不知哪儿来一个小姑娘，一下子就把我们打飞了，这才不巧砸了殿下的头，老臣是无辜的啊——
	
	
	
	
	
	
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7338,334,7842,7426,333,7890)
	camera.ResetLerp(10000)			
	camera.ChangeCameraStatic(7338,334,7847,7434,332,7875)
	global.Wait(0.5)
	
	-- 龙幽恢复 
	npc.SetAnimSpeed(11,50)
	npc.SetAnim(11,200)
	npc.SetAnimSpeed(11,100)
	global.Wait(0.5)

	ui.Dialog(96216,837,0,11,0,0)	--这城中还有别人？
	ui.Dialog(96217,831,0,11,0,0)	--算你运气，否则差点弄伤了本公子的脸，可没这么容易了事。

	-- 龙幽转向小蛮 
	npc.SetHeadRot(11,0,5)
	npc.TurnToNpc(11,12,1)	
	
	
	-- camera.ResetLerp(0)		
	-- camera.ChangeCameraStatic(7340,344,7845,7433,308,7860)
	camera.ResetLerp(8000)		
	-- camera.ChangeCameraStatic(7338,337,7834,7428,323,7874)
	camera.ChangeCameraStatic(7341,337,7841,7434,323,7878)
	global.Wait(0.5)

	--对话 
	ui.Dialog(96218,832,2,11,0,0)	--小蛮姑娘，我们去看看，是什么人——

	--小蛮 蜥蜴转向龙幽  
	npc.SetHeadRot(12,0,-25)
	npc.TurnToNpc(12,11,1)
	npc.TurnToNpc(14,11)
	global.Wait(0.5)
	
	npc.SetHeadRot(12,0,-5,1,40)
	wt(0.2)
	npc.SetHeadRot(12,0,-25,1,50)
	global.Wait(1)
		
	--音乐淡出 
	global.MusicFadeIn(3000,100,0)		
	
	
	
	--npc位置 
	npc.SetHeadRot(1,0,0)
	npc.SetHeadRot(2,0,0)
	npc.SetHeadRot(7,0,0)
	npc.SetHeadRot(8,0,0)
	npc.SetPos(1,7247,7626)
	npc.SetPos(2,7259,7599)
	npc.SetPos(7,7290,7658)
	npc.SetPos(8,7305,7633)
	
	
		

	
	--镜头12 
	-- 面向夏侯等人 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7343,361,7931,7373,327,7841)
	camera.ResetLerp(3000)			
	camera.ChangeCameraStatic(7364,377,7969,7361,342,7876)
	--动作 
	-- 夏侯四人走过来  龙溟在前
	npc.MoveTo(1,7306,7739)
	npc.MoveTo(2,7317,7724)
	npc.MoveTo(8,7351,7743)
	npc.MoveTo(7,7347,7783,1)
	npc.SetHeadRotTo(1,11)
	npc.SetHeadRotTo(2,11)
	npc.SetHeadRotTo(8,11)
	global.Wait(0.5)
	-- 龙幽小蛮蜥蜴乌龟转向龙溟 
	npc.SetHeadRot(11,0,0)
	npc.SetHeadRot(12,0,0)
	npc.TurnToNpc(12,7)
	npc.TurnToNpc(13,7)
	npc.TurnToNpc(14,7)
	npc.TurnToNpc(11,7,1)	
	--对话 
	ui.Dialog(96219,839,0,11,0,0)	--？！！
	global.Wait(1)

	--播放音乐
	global.PlayMusic(159,100,1)			
	
	
	--镜头13  
	-- 面向龙溟、凌波  
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(7362,339,7816,7326,327,7724)
	camera.ResetLerp(12000)		
	camera.ChangeCameraStatic(7368,339,7812,7307,329,7733)
	global.Wait(2)

ui.SetDialogHeadSize(450,500)	
	
	ui.Dialog(96220,632,0,7,0,0)	--复杂的表情 --阿幽……
	global.Wait(0.5)
	
	-- 凌波看向龙溟
	npc.SetHeadRotTo(8,7,1,10)
	global.Wait(2)
	-- 凌波看向龙幽  
	npc.SetHeadRotTo(8,11,1,10)
	global.Wait(1)
	
	
	--乌龟蜥蜴挪位置  
	npc.SetPos(13,7390,7870)
	npc.SetAtPos(13,7347,7783)
	npc.SetPos(14,7434,7856)
	npc.SetAtPos(14,7347,7783)
	
	
	--镜头14 
	-- 特写龙幽 小蛮
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7343,341,7838,7427,320,7888)
	global.Wait(1)
	
	--龙幽从下往上看
	npc.SetHeadRot(11,0,10,1,50)
	global.Wait(1)
	npc.SetHeadRot(11,0,0,1,10)
	global.Wait(0.5)

ui.SetDialogHeadSize(400,500)	
	
	ui.Dialog(96221,839,2,11,0,0)	--真的……是你？	

	camera.ResetLerp(1000)		
	camera.ChangeCameraStatic(7340,340,7794,7407,322,7866)
	-- 龙幽往前走几步 
	npc.SetAnimSpeed(11,70)
	npc.SetSpeed(11,0.7)
	npc.MoveTo(11,7361,7824,1)
	npc.SetAnimSpeed(11,100)
	npc.SetSpeed(11,1)
	-- 小蛮看向龙幽 
	npc.SetHeadRot(12,15,-15,1,50)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96222,846,0,12,0,0)	--臭龙幽？	
	global.Wait(0.5)
	
	
	
	--npc位置  
	npc.SetHeadRot(1,0,0)
	npc.SetHeadRot(2,0,0)
	npc.SetHeadRot(7,0,0)
	npc.SetHeadRot(8,0,0)
	npc.SetAtPos(1,7361,7824)
	npc.SetAtPos(2,7361,7824)
	npc.SetAtPos(7,7361,7824)
	npc.SetAtPos(8,7361,7824)
	
	
	
	--镜头15 
	-- 越过龙幽看向龙溟  
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7394,343,7839,7310,323,7789)
	camera.ResetLerp(15000)			
	camera.ChangeCameraStatic(7396,341,7837,7314,325,7783)
	
	npc.SetAnim(7,218,1)
	npc.SetAnim(7,200)

ui.SetDialogHeadSize(450,500)	
	
	ui.Dialog(96223,632,2,7,0,0)	--是我。	
	global.Wait(1)
	
	-- 龙幽低头
	npc.SetHeadRot(11,0,10,1,30)
	global.Wait(0.5)

ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96224,834,0,11,0,0)	--……果真是你。	
	global.Wait(0.5)
	ui.Dialog(96225,834,0,11,0,0)	--一声不响，一走就是三十多年……	
	global.Wait(0.5)
	ui.Dialog(96386,853,2,12,0,0)	--臭龙幽，你怎么了……	
	ui.Dialog(96387,834,0,11,0,0)	--你好好看看我……好好看看我身后的夜叉国……		
	ui.Dialog(96388,834,0,11,0,0)	--这三十多年，你到哪里去了……		
	
	
ui.SetDialogHeadSize(450,500)	
	
	ui.Dialog(96226,629,2,7,0,0)	--阿幽……	
	global.Wait(0.5)
	
	
	--镜头16 
	-- 越过龙幽面向龙溟
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(7324,335,7772,7393,323,7844)
	camera.ResetLerp(14000)			
	camera.ChangeCameraStatic(7322,342,7775,7400,324,7835)
	global.Wait(0.5)
	-- 龙幽恢复
	npc.SetHeadRot(11,0,0,1,100)
	--对话 
	
ui.SetDialogHeadSize(400,500)	
	
	ui.Dialog(96227,840,2,11,0,0)	--回答我啊——	
	ui.Dialog(96228,840,2,11,0,0)	--这么多年，都到哪里去了！	
	ui.Dialog(96229,840,2,11,0,0)	--你到底，还记不记得自己的身份？
	--动作 
	-- 龙溟低头 
	npc.SetAnimSpeed(7,50)
	npc.SetAnim(7,216)
	npc.SetAnimSpeed(7,100)
	global.Wait(0.5)
	--对话 
	
ui.SetDialogHeadSize(450,500)	
	
	ui.Dialog(96230,632,0,7,0,0)	--……		
	
	
	--镜头17
	-- 特写龙幽
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7342,339,7799,7404,322,7875)
	camera.ResetLerp(18000)		
	camera.ChangeCameraStatic(7344,339,7797,7401,322,7877)
	global.Wait(0.5)

	-- 龙幽低头 
	npc.SetHeadRot(11,0,10,1,50)
	global.Wait(0.5)

ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96231,836,2,11,0,0)	--痛苦地投 --音讯杳无……
	ui.Dialog(96232,836,2,11,0,0)	--我花了三十多年学会越行术，往来人魔两界，可仍旧遍寻不见你的踪影……

	-- 龙幽摇头 
	npc.SetAnim(11,207,2)
	global.Wait(1)
	--对话 
	ui.Dialog(96233,838,2,11,0,0)	--得到有关你这家伙的讯息永远都是音讯杳无！
	global.Wait(0.5)
	ui.Dialog(96234,838,2,11,0,0)	--在你心里，到底还有没有夜叉族，还有没有——我这个弟弟？！
	global.Wait(0.5)
	
	
	--镜头18 
	-- 面向龙溟、凌波 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7366,342,7811,7311,320,7731)
	camera.ResetLerp(15000)		
	camera.ChangeCameraStatic(7365,340,7808,7318,320,7722)
	-- 凌波走到龙溟斜后方  
	npc.MoveTo(8,7355,7764,1)
	-- 凌波看向龙溟
	npc.SetHeadRot(8,-20,-5,1,50)
	global.Wait(1)
	-- 龙溟转向凌波 
	npc.SetHeadRot(7,0,10)
	npc.TurnToNpc(7,8,1)
	global.Wait(0.5)
	-- 龙溟摇头  
	npc.SetAnim(7,207,1)
	npc.SetAnim(7,200)
	global.Wait(0.5)
	-- 龙溟凌波转向龙幽  
	npc.SetHeadRot(7,0,0)
	npc.SetHeadRotTo(8,11,0,50)
	npc.TurnToNpc(7,11,1)
	global.Wait(1)
	
	-- 龙溟摇头 
	npc.SetAnim(7,207,2)
	global.Wait(1)
	--对话 
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96235,632,0,7,0,0)	--一刻未曾忘。
	global.Wait(1)
	
	
	
	--npc位置 
	npc.SetPos(1,7336,7706)
	npc.SetPos(2,7354,7692)
	npc.SetAtPos(1,7361,7824)
	npc.SetAtPos(2,7361,7824)
	
	
	
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7296,354,7753,7373,327,7810)
	camera.ResetLerp(15000)			
	camera.ChangeCameraStatic(7304,347,7764,7380,322,7823)
	global.Wait(0.5)
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96236,834,2,11,0,0)	--呵……
	--动作 
	-- 龙幽摇头  
	npc.SetAnim(11,207,2)
	global.Wait(1)
	--对话 
	ui.Dialog(96237,834,2,11,0,0)	--不忘……
	global.Wait(0.5)
	ui.Dialog(96238,840,2,11,0,0)	--我看你是想要抛弃夜叉族，抛弃你唯一的弟弟！
	global.Wait(0.5)
	
	--龙幽抬头 
	npc.SetHeadRot(11,0,0,1,50)
	global.Wait(0.5)
	
	ui.Dialog(96239,840,2,11,0,0)	--是不是啊，臭老哥！
	global.Wait(0.5)
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96240,632,0,7,0,0)	--闭眼	--……
	global.Wait(0.5)



	--镜头20 
	-- 特写小蛮  
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(7378,329,7828,7462,320,7882)
	camera.ResetLerp(18000)			
	camera.ChangeCameraStatic(7375,329,7833,7466,319,7873)
	-- 小蛮吃惊 
	npc.SetAnim(12,208,2)
	global.Wait(1)
	--对话 
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96241,851,0,12,0,0)	--惊讶	--啊！
	ui.Dialog(96242,851,0,12,0,0)	--惊讶	--那个人就是臭龙幽的哥哥！

	ui.Dialog(96243,857,0,12,0,0)	--心疼	--（从没见过臭龙幽这个样子，总是看见他笑嘻嘻的，好像什么都不会在意不会生气一样……）
	--动作 
	-- 小蛮低头
	npc.SetHeadRot(12,0,10,1,50)
	global.Wait(0.5)
	-- 对话 
	ui.Dialog(96244,857,0,12,0,0)	--心疼	--（原来他心里……是这么苦啊……跟小蛮一样……都是有最爱的亲人却不在自己的身边……）
	ui.Dialog(96245,853,0,12,0,0)	--心疼	--（臭龙幽……小蛮决定以后对你好一点，再好一点点……）
	
	
	
	--镜头21 
	-- 全镜 面向龙幽 
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(7307,350,7769,7389,315,7814)
	camera.ResetLerp(10000)				
	camera.ChangeCameraStatic(7288,363,7759,7370,322,7800)
	global.Wait(0.5)
	-- 龙幽举枪230 
	npc.SetAnimSpeed(11,50)
	npc.AddRefItem(11,49,6046)
	npc.SetAnim(11,230)
	npc.SetAnimSpeed(11,100)
	global.Wait(0.5)
	-- 龙幽看向龙溟
	npc.SetHeadRot(11,0,-30,1,50)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96246,840,2,11,0,0)	--你看好，这是你的十字妖槊！

	-- 小蛮看向龙幽 
	npc.SetHeadRot(12,15,-15,1,50)
	global.Wait(0.5)
	
	-- 龙幽看枪 
	npc.SetHeadRot(11,0,0,1,50)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96247,840,2,11,0,0)	--小时候我偷偷摸过这把枪，因为枪上煞气太重受了伤。结果，就挨了你狠狠的一顿揍。
	ui.Dialog(96248,840,2,11,0,0)	--你说过，要是有那么一天，我能打败你的话，枪就送给我。
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96249,632,0,7,0,0)	--闭眼	--不错。
	--动作 
	-- 龙幽看向龙溟
	-- npc.SetHeadRot(11,0,-30,1,50)
	-- global.Wait(0.5)
	npc.RemoveRefItem(11,49)
	npc.SetAnimSpeed(11,50)
	npc.SetAnim(11,200)
	npc.SetAnimSpeed(11,100)
	global.Wait(0.5)
	--对话 
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96250,840,2,11,0,0)	--这么多年了……你走了多久，我等这一战就等了多久。
	ui.Dialog(96251,840,2,11,0,0)	--如今我已拿起了这枪，混账老哥，你倒是遵守约定，让我堂堂正正地赢你一场啊！
	--等待几秒  
	global.Wait(2)
	
	
	--镜头22 
	-- 面向龙溟 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7393,343,7841,7318,321,7779)
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(7391,348,7838,7316,320,7778)
	global.Wait(0.5)
	--对话  
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96252,629,2,7,0,0)	--笑	--如你所愿。
	--动作 
	-- 龙溟备战
	-- npc.AddRefItem(7,49,6046)
	-- npc.SetAnim(7,101)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96253,629,2,7,0,0)	--笑	--来。
	
	-- 龙溟提枪走到空地 	
	-- npc.RemoveRefItem(7,49)
	npc.TurnToPos(7,7246,7606,1)
	-- npc.AddRefItem(7,49,6046)	
	-- npc.SetSpeed(7,0.3)
	-- npc.FloatTo(7,7246,301,7606)
	-- npc.SetAnim(7,219)	
	npc.MoveTo(7,7246,7606)
	global.Wait(1)
	npc.TurnToNpc(1,7)
	npc.TurnToNpc(2,7)
	npc.TurnToNpc(8,7)
	global.Wait(0.5)
	npc.SetSpeed(7,1)	
	
	
	--镜头23 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7325,345,7789,7397,316,7852)
	global.Wait(0.5)
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96254,840,0,11,0,0)	--哼！
	
	camera.ResetLerp(2000)			
	camera.ChangeCameraStatic(7313,354,7784,7385,309,7838)
	global.Wait(0.5)
	
	npc.MoveTo(11,7246,7606)
	global.Wait(0.5)
	npc.SetHeadRot(12,0,0)
	global.Wait(0.5)
	

	
	--npc位置 
	npc.SetPos(7,7137,7460)
	npc.SetAtPos(7,7146,7384)
	npc.SetPos(11,7146,7384)
	npc.SetAtPos(11,7137,7460)
	-- npc.SetAnim(7,101)
	-- npc.AddRefItem(7,49,6046)	
	npc.SetAnimSpeed(11,50)
	npc.SetAnim(11,2)
	npc.AddRefItem(11,49,6046)	
	
	
	--镜头24
	-- 面向小蛮 
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(7369,329,7825,7458,322,7871)
	global.Wait(0.5)
	-- 小蛮生气  
	npc.SetAnim(12,210,2)
	global.Wait(1)
	--对话 
	ui.Dialog(96255,846,2,12,0,0)	--龙幽，你——
	-- 凌波走过来  
	npc.SetHeadRot(8,0,0)
	npc.SetPos(8,7410,7770)
	npc.SetAnimSpeed(8,80)
	npc.SetSpeed(8,0.8)
	npc.MoveTo(8,7413,7822)
	global.Wait(0.5)
	
	--镜头拉远  
	camera.ResetLerp(2500)			
	camera.ChangeCameraStatic(7376,340,7803,7452,314,7862)	
	
	global.WaitForNpcPos(8,7413,7822)
	npc.SetAnimSpeed(8,100)
	npc.SetSpeed(8,1)	
	npc.SetHeadRot(8,0,5,1,50)
	global.Wait(1)
	--对话 
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96256,155,0,8,0,0)	--小妹妹，有时候刀剑相交，也是谈话的一种方式，我们就等他们说完吧。
	global.Wait(0.5)
	
	--音乐淡出 
	global.MusicFadeIn(2000,100,0)				
	
	-- 小蛮转向凌波 	
	npc.TurnToNpc(12,8,1)
	npc.SetHeadRot(12,0,-20,1,50)
	global.Wait(0.5)
	--对话 
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96257,847,2,12,0,0)	--……嗯。
	global.Wait(1)
	

	
	

	
	
	--镜头25 
	-- 面向龙溟特写
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(7202,360,7332,7146,332,7410)
	camera.ResetLerp(3500)		
	camera.ChangeCameraStatic(7153,339,7425,7113,326,7516)
	global.Wait(1)		
	
	--播放音乐 
	global.PlayMusic(111,100,1)				
	
	global.Wait(1)	
	npc.SetAnim(7,101)
	npc.AddRefItem(7,49,6046)		
	global.Wait(2.5)
	--镜头26 	
	-- 面向龙幽特写  
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(7158,317,7421,7120,303,7330)
	camera.ResetLerp(2500)		
	camera.ChangeCameraStatic(7131,332,7408,7180,330,7321)
	global.Wait(3.5)	
	
	effect.FadeOutWhite(1,100)
	
	--特效兄弟之战图
	global.CreateCameraSE(7,3961)
	global.Wait(7)

	-- global.ClearCameraSE()


	
	
	
	
	
	
	-- 清理npc 恢复转头 
	-- effect.FadeOut(1,1)
	-- global.Wait(1)	
	
	-- npc.SetAnimSpeed(11,100)
	
	-- npc.RemoveRefItem(7,49)
	-- npc.RemoveRefItem(11,49)
	
	-- for	i=1,20,1
		-- do 
		-- npc.SetHeadRot(i,0,0)
		-- end
	
	-- global.Wait(0.5)
	
	-- for i=1,20,1
		-- do
		-- npc.Destroy(i)
		-- end	


		
		
	--换队员 龙溟
	--所有人离队除了夏侯
	for i=42022,42030,1
		do
			if	flag.GetValue(i)==1	then
				player.Remove(p_id(i-42020))
			end
		end
	--龙溟入队	
	player.Add(p_id(7),0,1)

	--获取夏侯的等级
	dj=player.GetLevel(1)
	flag.SetValue(40480,dj)
	--夏侯离队
	player.Remove(p_id(1))	
	
		
		
		
	npc.SetAnimSpeed(11,100)		
	
	--战斗音乐延续	开
	flag.SetValue(10020,1)
	
	--开始战斗  龙幽
	player.Control(1)
	global.SetWideScreen(0)	
	battle.Begin(2044,725)
	map.Weather(0)	
	-- func_end(7093,7402,1,1)				
	
	
	
end

end